use strict;
use warnings;

open IN, $ARGV[0] or die "couldn't open";
binmode IN;
local $/;
my $data = <IN>;
close IN;

open OUT, ">$ARGV[1]" or die "couldn't open output";

$data = substr($data, 0x2c);

my @unpackedData = unpack('C*', $data);
my $outname = $ARGV[0];
$outname =~ s/\..*$//;
$outname =~ s/.*\\//;
print OUT "// dumped from $ARGV[0].\n";
print OUT "// raw dump, header stripped (poorly).\n\n";
print OUT "const unsigned char AudioData_${outname}[] = { ";
foreach my $c (@unpackedData)
{
	print OUT "$c, ";
}
print OUT "};\n";



