#include "homebutton.h"

// thanks to ps2dev.org posts for this stuff (make "Home" button work properly)
#ifdef PIXELTOASTER

void SetupHomeButton(void) {}

#else

extern "C"
{
	void sceKernelExitGame(void);
	void sceKernelRegisterExitCallback(int cbid);
	void sceKernelPollCallbacks(void);
	int sceKernelCreateCallback(const char *name, void *func);
	int sceKernelCreateThread(const char *name, void *func, int initpriority, int stacksize, int, int);
	void sceKernelStartThread(int, int, int);
}

int ExitCallback(void)
{
   sceKernelExitGame();
   return 0;
}

void CallbackThread(void *arg)
{
   int cbid;

   cbid = sceKernelCreateCallback("Exit Callback", (void*)ExitCallback);
   sceKernelRegisterExitCallback(cbid);

   sceKernelPollCallbacks();
}

void SetupHomeButton(void)
{
   int thid = sceKernelCreateThread("update_thread", (void*)CallbackThread, 0x11, 0xFA0, 0, 0);
   if (thid >= 0)
   {
      sceKernelStartThread(thid, 0, 0);
   }
} 

#endif
