// Windows implementation
// Copyright  Glenn Fiedler
// http://www.pixeltoaster.com

#ifdef __WINDOWS__

#define VC_EXTRALEAN 
#define WIN32_LEAN_AND_MEAN 

#include <windows.h>
#include <windowsx.h>

#include <d3d9.h>
#include <d3dx9.h>

namespace PixelToaster
{
	namespace Windows
	{
		#include "Adapter.h"
		#include "Window.h"
		#include "Device.h"
		#include "Display.h"
		#include "Timer.h"
	}
}

#define TimerClass Windows::Timer
#define DisplayClass Windows::Display

#endif
