#ifndef INCLUDED_crapfile_H
#define INCLUDED_crapfile_H

#ifdef PIXELTOASTER
#include <stdio.h>
#endif

class CrapFile
{
	public:
		CrapFile(const char *filename, const char *mode);
		~CrapFile();
		bool IsOpen() const;
		void Read(void *buf, int numBytes);
		void Write(void *buf, int numBytes);
	private:
#ifdef PIXELTOASTER
		FILE* mFile;
#else
		int mFD;
#endif
		bool mCanWrite;
};

#endif
